質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.10%

TensorFlow動かすと「ImportError: DLL load failed:~」が出る

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 192

dode

score 0

前提・実現したいこと

DeepFaceLabが実行できません。
いくつかサイトも参考にしたのですが全くうまくいかなかったのでどなたかお知恵を貸してください。

Performing 1st pass...
Running on Generic GeForce GPU #0. Recommended to close all programs using this device.
Exception: Traceback (most recent call last):
  File "C:\DeepFaceLabCUDA9.2SSE\_internal\python-3.6.8\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 58, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
  File "C:\DeepFaceLabCUDA9.2SSE\_internal\python-3.6.8\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 28, in <module>
    _pywrap_tensorflow_internal = swig_import_helper()
  File "C:\DeepFaceLabCUDA9.2SSE\_internal\python-3.6.8\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper
    _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)
  File "imp.py", line 243, in load_module
  File "imp.py", line 343, in load_dynamic
ImportError: DLL load failed: 指定されたモジュールが見つかりません。

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\DeepFaceLabCUDA9.2SSE\_internal\DeepFaceLab\joblib\SubprocessorBase.py", line 59, in _subprocess_run
    self.on_initialize(client_dict)
  File "C:\DeepFaceLabCUDA9.2SSE\_internal\DeepFaceLab\mainscripts\Extractor.py", line 62, in on_initialize
    nnlib.import_all (device_config)
  File "C:\DeepFaceLabCUDA9.2SSE\_internal\DeepFaceLab\nnlib\nnlib.py", line 756, in import_all
    nnlib.import_keras(device_config)
  File "C:\DeepFaceLabCUDA9.2SSE\_internal\DeepFaceLab\nnlib\nnlib.py", line 165, in import_keras
    nnlib._import_tf(device_config)
  File "C:\DeepFaceLabCUDA9.2SSE\_internal\DeepFaceLab\nnlib\nnlib.py", line 134, in _import_tf
    import tensorflow as tf
  File "C:\DeepFaceLabCUDA9.2SSE\_internal\python-3.6.8\lib\site-packages\tensorflow\__init__.py", line 24, in <module>
    from tensorflow.python import pywrap_tensorflow  # pylint: disable=unused-import
  File "C:\DeepFaceLabCUDA9.2SSE\_internal\python-3.6.8\lib\site-packages\tensorflow\python\__init__.py", line 49, in <module>
    from tensorflow.python import pywrap_tensorflow
  File "C:\DeepFaceLabCUDA9.2SSE\_internal\python-3.6.8\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 74, in <module>
    raise ImportError(msg)
ImportError: Traceback (most recent call last):
  File "C:\DeepFaceLabCUDA9.2SSE\_internal\python-3.6.8\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 58, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
  File "C:\DeepFaceLabCUDA9.2SSE\_internal\python-3.6.8\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 28, in <module>
    _pywrap_tensorflow_internal = swig_import_helper()
  File "C:\DeepFaceLabCUDA9.2SSE\_internal\python-3.6.8\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper
    _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)
  File "imp.py", line 243, in load_module
  File "imp.py", line 343, in load_dynamic
ImportError: DLL load failed: 指定されたモジュールが見つかりません。


Failed to load the native TensorFlow runtime.

See https://www.tensorflow.org/install/errors

for some common reasons and solutions.  Include the entire stack trace
above this error message when asking for help.

該当のソースコード

試したこと

下記ページに書いてあることはやりましたが解決しなかったので、
一度すべてアンインストールしてエラーメッセージが出てから何もいじっていない状態になっています。

https://qiita.com/grinpeaceman/items/c55ab14d843828fa05ab
https://tono-n-chi.com/blog/2017/08/tensorflow-gpu-dll-import-error/
https://qiita.com/usagani/items/d047f8751db9b3042bc3

補足情報(FW/ツールのバージョンなど)

Windows 10 home
CUDA 9.2
tensorboard         1.12.2
tensorflow          1.12.0

https://github.com/iperov/DeepFaceLab
https://www.microsoft.com/en-US/download/details.aspx?id=53587

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • tiitoi

    2019/08/23 01:38 編集

    TensorFlow のバージョンを追記していただけますでしょうか?
    エラーから察するに GPU 版の TensorFlow の要求する CUDA のバージョン (違うバージョンの CUDA がインストールされていてもダメです) がパソコンに入っていない、またはパスが通せていなくて見つけられないという状況かと思います。

    キャンセル

  • dode

    2019/08/23 21:12

    tensorflowのバージョン追記しました!

    キャンセル

  • dode

    2019/08/23 23:07

    pip でアップデートしたら解決しました!
    ありがとうございました!

    キャンセル

回答 1

check解決した方法

0

pip install --upgrade tensorflow

tensorflow 1.14にしたら解決しました。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.10%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る